Download it now!
Bug 46559 - Installer asks for user's name again during upgrade
Summary: Installer asks for user's name again during upgrade
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other Windows (All)
: medium minor
Assignee: Andras Timar
URL:
Whiteboard: target:3.6.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-24 01:25 UTC by Andras Timar
Modified: 2012-05-30 12:43 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2012-02-24 01:25:37 UTC
From bug 43259: 
After unpacking, the next interaction is to ask for the user's name and
organisation.  This question is asked even when upgrading from an older
version, for which this question will have previously been answered.  Why does
the installer not read the configuration of the older version to obtain this
information?
Comment 1 Andras Timar 2012-05-20 11:26:55 UTC
User name and Company name are used only for RegOwner and RegCompany keys in registry under HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData\S-1-5-18\Products\[some GUID]\InstallProperties. They are not used in LibreOffice elsewhere, e.g. in Tools - Options - LibreOffice - User data, that is different. I wonder, if we need to prompt users for these, or would it be enough to take values from HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\RegisteredOwner and HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\RegisteredOrganization.
Comment 2 Not Assigned 2012-05-30 11:27:01 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5e01d13b84c1dbd82da54be3f25b522f825febfe

fdo#46559 bypass CustomerInformation dialog in Windows installer